Callisto4Bootloader: Bl_hw

Callisto4Bootloader

Typedefs | Functions
Bl_hw

## Typedefs

typedef void(* | pin_irq_callback_t) (uint32_t instance)
| Callback function invoked for a pin change interrupt. More...

## Functions

void | init_hardware (void)
| Initialize the hardware such as pinmux. More...
void | deinit_hardware (void)
| DeInitialize the hardware such as disabling port clock gate. More...
void | update_available_peripherals (void)
| Update available peripherals based on specific chips. More...
void | check_available_dFlash (void)
| Update DFlash based on specific chips. More...
void | configure_clocks (bootloader_clock_option_t option)
| Returns the logic level of the board specific GPIO pin used for autobaud. More...
uint32_t | get_available_lirc_clock (void)
| Returns the available lirc clock frequency in Hertz. More...
uint32_t | get_bus_clock (void)
| Returns the current bus clock frequency in Hertz. More...
uint32_t | get_flexcomm_clock (uint32_t instance)
| Returns the current flexcomm clock frequency in Hertz. More...
uint32_t | get_system_core_clock (void)
| Returns the current core clock frequency in Hertz. More...
bool | usb_clock_init (void)
| Configure usb clock. More...
uint32_t | get_uart_clock (uint32_t instance)
| Returns the value in MHz of the UART clock based on the instance. More...
bool | is_boot_pin_asserted (void)
| Returns true if reset BOOTROM mode is selected. More...
void | enable_autobaud_pin_irq (uint32_t instance, pin_irq_callback_t func)
| Enables the autobaud pin IRQ for the specific instance passed. More...
void | disable_autobaud_pin_irq (uint32_t instance)
| Disables the autobaud pin IRQ for the instance passed. More...
void | Reset_Handler (void)
| Declaration for the reset handler, which is defined in assembler. More...
void | bootloader_watchdog_init (void)
| Initialize watchdog. More...
void | bootloader_watchdog_service (void)
| Service watchdog. More...
void | bootloader_watchdog_deinit (void)
| De-initialize watchdog. More...
bool | qspi_need_configure (void)
| Determine if QSPI module to be configured. More...
status_t | otfad_init_as_needed (void)
| Initialize QSPI and OTFAD module. More...
status_t | otfad_bypass_as_needed (void)
| Bypass OTFAD module as needed. More...
status_t | oftfad_resume_as_needed (void)
| Resume OTFAD module as needed. More...
bool | is_qspi_present (void)
| Determine if QSPI memory is present or not. More...
bool | is_otfad_present (void)
| Determine if OTFAD module is present or not. More...
bool | is_ltc_present (void)
| Determine if LTC module is present or not. More...
status_t | get_qspi_otfad_init_status (void)
| Return status for intializing qspi and otfad modules. More...
void | update_qspi_otfad_init_status (status_t initStatus)
| Update status for intializing qspi and otfad modules. More...
bool | is_flexspi_nor_present (void)
| Determine if FlexSPI NOR module is present or not. More...
bool | is_semc_nor_present (void)
| Determine if SEMC NOR module is present or not. More...
bool | is_secondary_i2c_slave_address_enabled (void)
| Determine is the Secondary I2C slave address is enabled. More...
bool | is_in_execute_only_region (uint32_t start, uint32_t lengthInBytes)
| Check if data to be accessed is in execute-only region. More...
bool | is_second_core_present (void)
| Check if second core is present. More...
void | update_memory_map_lpc_sram (void)
| Update LPC SRAM memory map based on Device ID0. More...
uint32_t | get_primary_boot_device (void)
| Return Primary boot device type. More...
habstatus_option_t | get_hab_status ()
| Get the hab status. More...

## Detailed Description

## Typedef Documentation

## ◆ pin_irq_callback_t

typedef void(* pin_irq_callback_t) (uint32_t instance)

Callback function invoked for a pin change interrupt.

Definition at line 106 of file bootloader_common.h.

## Function Documentation

## ◆ bootloader_watchdog_deinit()

void bootloader_watchdog_deinit | ( | void |  | ) |

De-initialize watchdog.

## ◆ bootloader_watchdog_init()

void bootloader_watchdog_init | ( | void |  | ) |

Initialize watchdog.

## ◆ bootloader_watchdog_service()

void bootloader_watchdog_service | ( | void |  | ) |

Service watchdog.

## ◆ check_available_dFlash()

void check_available_dFlash | ( | void |  | ) |

Update DFlash based on specific chips.

## ◆ configure_clocks()

void configure_clocks | ( | bootloader_clock_option_t | option | ) |

Returns the logic level of the board specific GPIO pin used for autobaud.

Configure hardware clocks.

## ◆ deinit_hardware()

void deinit_hardware | ( | void |  | ) |

DeInitialize the hardware such as disabling port clock gate.

## ◆ disable_autobaud_pin_irq()

void disable_autobaud_pin_irq | ( | uint32_t | instance | ) |

Disables the autobaud pin IRQ for the instance passed.

## ◆ enable_autobaud_pin_irq()

void enable_autobaud_pin_irq | ( | uint32_t | instance,
|  | pin_irq_callback_t | func
| ) |  |

Enables the autobaud pin IRQ for the specific instance passed.

## ◆ get_available_lirc_clock()

uint32_t get_available_lirc_clock | ( | void |  | ) |

Returns the available lirc clock frequency in Hertz.

## ◆ get_bus_clock()

uint32_t get_bus_clock | ( | void |  | ) |

Returns the current bus clock frequency in Hertz.

## ◆ get_flexcomm_clock()

uint32_t get_flexcomm_clock | ( | uint32_t | instance | ) |

Returns the current flexcomm clock frequency in Hertz.

## ◆ get_hab_status()

habstatus_option_t get_hab_status | ( |  | ) |

Get the hab status.

## ◆ get_primary_boot_device()

uint32_t get_primary_boot_device | ( | void |  | ) |

Return Primary boot device type.

## ◆ get_qspi_otfad_init_status()

status_t get_qspi_otfad_init_status | ( | void |  | ) |

Return status for intializing qspi and otfad modules.

## ◆ get_system_core_clock()

uint32_t get_system_core_clock | ( | void |  | ) |

Returns the current core clock frequency in Hertz.

## ◆ get_uart_clock()

uint32_t get_uart_clock | ( | uint32_t | instance | ) |

Returns the value in MHz of the UART clock based on the instance.

## ◆ init_hardware()

void init_hardware | ( | void |  | ) |

Initialize the hardware such as pinmux.

## ◆ is_boot_pin_asserted()

bool is_boot_pin_asserted | ( | void |  | ) |

Returns true if reset BOOTROM mode is selected.

## ◆ is_flexspi_nor_present()

bool is_flexspi_nor_present | ( | void |  | ) |

Determine if FlexSPI NOR module is present or not.

## ◆ is_in_execute_only_region()

bool is_in_execute_only_region | ( | uint32_t | start,
|  | uint32_t | lengthInBytes
| ) |  |

Check if data to be accessed is in execute-only region.

## ◆ is_ltc_present()

bool is_ltc_present | ( | void |  | ) |

Determine if LTC module is present or not.

## ◆ is_otfad_present()

bool is_otfad_present | ( | void |  | ) |

Determine if OTFAD module is present or not.

## ◆ is_qspi_present()

bool is_qspi_present | ( | void |  | ) |

Determine if QSPI memory is present or not.

## ◆ is_second_core_present()

bool is_second_core_present | ( | void |  | ) |

Check if second core is present.

## ◆ is_secondary_i2c_slave_address_enabled()

bool is_secondary_i2c_slave_address_enabled | ( | void |  | ) |

Determine is the Secondary I2C slave address is enabled.

## ◆ is_semc_nor_present()

bool is_semc_nor_present | ( | void |  | ) |

Determine if SEMC NOR module is present or not.

## ◆ oftfad_resume_as_needed()

status_t oftfad_resume_as_needed | ( | void |  | ) |

Resume OTFAD module as needed.

## ◆ otfad_bypass_as_needed()

status_t otfad_bypass_as_needed | ( | void |  | ) |

Bypass OTFAD module as needed.

## ◆ otfad_init_as_needed()

status_t otfad_init_as_needed | ( | void |  | ) |

Initialize QSPI and OTFAD module.

## ◆ qspi_need_configure()

bool qspi_need_configure | ( | void |  | ) |

Determine if QSPI module to be configured.

## ◆ Reset_Handler()

void Reset_Handler | ( | void |  | ) |

Declaration for the reset handler, which is defined in assembler.

## ◆ update_available_peripherals()

void update_available_peripherals | ( | void |  | ) |

Update available peripherals based on specific chips.

## ◆ update_memory_map_lpc_sram()

void update_memory_map_lpc_sram | ( | void |  | ) |

Update LPC SRAM memory map based on Device ID0.

## ◆ update_qspi_otfad_init_status()

void update_qspi_otfad_init_status | ( | status_t | initStatus | ) |

Update status for intializing qspi and otfad modules.

## ◆ usb_clock_init()

bool usb_clock_init | ( | void |  | ) |

Configure usb clock.